Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 1597)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 1682)
@@ -1,7 +1,3 @@
-#if defined( __ibmy_special )
-@PROCESS NOOPTimize
-#endif
- SUBROUTINE define_netcdf_header( callmode, extend, av )
-
+!> @file netcdf.f90
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -23,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Code annotations made doxygen readable 
 ! 
 ! Former revisions:
@@ -97,17 +93,22 @@
 ! Description:
 ! ------------
-! In case of extend = .FALSE.:
-! Define all necessary dimensions, axes and variables for the different
-! netCDF datasets. This subroutine is called from check_open after a new
-! dataset is created. It leaves the open netCDF files ready to write.
-!
-! In case of extend = .TRUE.:
-! Find out if dimensions and variables of an existing file match the values
-! of the actual run. If so, get all necessary information (ids, etc.) from
-! this file.
-!
-! Parameter av can assume values 0 (non-averaged data) and 1 (time averaged
-! data)
+!> In case of extend = .FALSE.:
+!> Define all necessary dimensions, axes and variables for the different
+!> netCDF datasets. This subroutine is called from check_open after a new
+!> dataset is created. It leaves the open netCDF files ready to write.
+!>
+!> In case of extend = .TRUE.:
+!> Find out if dimensions and variables of an existing file match the values
+!> of the actual run. If so, get all necessary information (ids, etc.) from
+!> this file.
+!>
+!> Parameter av can assume values 0 (non-averaged data) and 1 (time averaged
+!> data)
 !------------------------------------------------------------------------------!
+#if defined( __ibmy_special )
+@PROCESS NOOPTimize
+#endif
+ SUBROUTINE define_netcdf_header( callmode, extend, av )
+ 
 #if defined( __netcdf )
 
@@ -164,65 +165,65 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=2)              ::  suffix                !:
-    CHARACTER (LEN=2), INTENT (IN) ::  callmode              !:
-    CHARACTER (LEN=3)              ::  suffix1               !:
-    CHARACTER (LEN=4)              ::  grid_x                !:
-    CHARACTER (LEN=4)              ::  grid_y                !:
-    CHARACTER (LEN=4)              ::  grid_z                !:
-    CHARACTER (LEN=6)              ::  mode                  !:
-    CHARACTER (LEN=10)             ::  netcdf_var_name       !:
-    CHARACTER (LEN=10)             ::  precision             !:
-    CHARACTER (LEN=10)             ::  var                   !:
-    CHARACTER (LEN=80)             ::  time_average_text     !:
-    CHARACTER (LEN=2000)           ::  char_cross_profiles   !:
-    CHARACTER (LEN=2000)           ::  var_list              !:
-    CHARACTER (LEN=2000)           ::  var_list_old          !:
-
-    CHARACTER (LEN=100), DIMENSION(1:crmax) ::  cross_profiles_adj   !:
-    CHARACTER (LEN=100), DIMENSION(1:crmax) ::  cross_profiles_char  !:
-
-    INTEGER(iwp) ::  av                                      !:
-    INTEGER(iwp) ::  cross_profiles_count                    !:
-    INTEGER(iwp) ::  cross_profiles_maxi                     !:
-    INTEGER(iwp) ::  delim                                   !:
-    INTEGER(iwp) ::  delim_old                               !:
-    INTEGER(iwp) ::  file_id                                 !:
-    INTEGER(iwp) ::  i                                       !:
-    INTEGER(iwp) ::  id_last                                 !:
-    INTEGER(iwp) ::  id_x                                    !:
-    INTEGER(iwp) ::  id_y                                    !:
-    INTEGER(iwp) ::  id_z                                    !:
-    INTEGER(iwp) ::  j                                       !:
-    INTEGER(iwp) ::  k                                       !:
-    INTEGER(iwp) ::  kk                                      !:
-    INTEGER(iwp) ::  ns                                      !:
-    INTEGER(iwp) ::  ns_do                                   !: actual value of ns for soil model data
-    INTEGER(iwp) ::  ns_old                                  !:
-    INTEGER(iwp) ::  ntime_count                             !:
-    INTEGER(iwp) ::  nz_old                                  !:
-
-    INTEGER(iwp), SAVE ::  oldmode                           !:
-
-    INTEGER(iwp), DIMENSION(1) ::  id_dim_time_old           !:
-    INTEGER(iwp), DIMENSION(1) ::  id_dim_x_yz_old           !:
-    INTEGER(iwp), DIMENSION(1) ::  id_dim_y_xz_old           !:
-    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_sp_old          !:
-    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_xy_old          !:
-    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_3d_old          !:
-    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_mask_old        !:
-
-
-    INTEGER(iwp), DIMENSION(1:crmax) ::  cross_profiles_numb !:
-
-    LOGICAL ::  found                                        !:
-
-    LOGICAL, INTENT (INOUT) ::  extend                       !:
-
-    LOGICAL, SAVE ::  init_netcdf = .FALSE.                  !:
-
-    REAL(wp), DIMENSION(1) ::  last_time_coordinate          !:
-
-    REAL(wp), DIMENSION(:), ALLOCATABLE   ::  netcdf_data    !:
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  netcdf_data_2d !:
+    CHARACTER (LEN=2)              ::  suffix                !<
+    CHARACTER (LEN=2), INTENT (IN) ::  callmode              !<
+    CHARACTER (LEN=3)              ::  suffix1               !<
+    CHARACTER (LEN=4)              ::  grid_x                !<
+    CHARACTER (LEN=4)              ::  grid_y                !<
+    CHARACTER (LEN=4)              ::  grid_z                !<
+    CHARACTER (LEN=6)              ::  mode                  !<
+    CHARACTER (LEN=10)             ::  netcdf_var_name       !<
+    CHARACTER (LEN=10)             ::  precision             !<
+    CHARACTER (LEN=10)             ::  var                   !<
+    CHARACTER (LEN=80)             ::  time_average_text     !<
+    CHARACTER (LEN=2000)           ::  char_cross_profiles   !<
+    CHARACTER (LEN=2000)           ::  var_list              !<
+    CHARACTER (LEN=2000)           ::  var_list_old          !<
+
+    CHARACTER (LEN=100), DIMENSION(1:crmax) ::  cross_profiles_adj   !<
+    CHARACTER (LEN=100), DIMENSION(1:crmax) ::  cross_profiles_char  !<
+
+    INTEGER(iwp) ::  av                                      !<
+    INTEGER(iwp) ::  cross_profiles_count                    !<
+    INTEGER(iwp) ::  cross_profiles_maxi                     !<
+    INTEGER(iwp) ::  delim                                   !<
+    INTEGER(iwp) ::  delim_old                               !<
+    INTEGER(iwp) ::  file_id                                 !<
+    INTEGER(iwp) ::  i                                       !<
+    INTEGER(iwp) ::  id_last                                 !<
+    INTEGER(iwp) ::  id_x                                    !<
+    INTEGER(iwp) ::  id_y                                    !<
+    INTEGER(iwp) ::  id_z                                    !<
+    INTEGER(iwp) ::  j                                       !<
+    INTEGER(iwp) ::  k                                       !<
+    INTEGER(iwp) ::  kk                                      !<
+    INTEGER(iwp) ::  ns                                      !<
+    INTEGER(iwp) ::  ns_do                                   !< actual value of ns for soil model data
+    INTEGER(iwp) ::  ns_old                                  !<
+    INTEGER(iwp) ::  ntime_count                             !<
+    INTEGER(iwp) ::  nz_old                                  !<
+
+    INTEGER(iwp), SAVE ::  oldmode                           !<
+
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_time_old           !<
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_x_yz_old           !<
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_y_xz_old           !<
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_sp_old          !<
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_xy_old          !<
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_3d_old          !<
+    INTEGER(iwp), DIMENSION(1) ::  id_dim_zu_mask_old        !<
+
+
+    INTEGER(iwp), DIMENSION(1:crmax) ::  cross_profiles_numb !<
+
+    LOGICAL ::  found                                        !<
+
+    LOGICAL, INTENT (INOUT) ::  extend                       !<
+
+    LOGICAL, SAVE ::  init_netcdf = .FALSE.                  !<
+
+    REAL(wp), DIMENSION(1) ::  last_time_coordinate          !<
+
+    REAL(wp), DIMENSION(:), ALLOCATABLE   ::  netcdf_data    !<
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  netcdf_data_2d !<
 
 !
@@ -5055,13 +5056,14 @@
 
 
- SUBROUTINE create_netcdf_file( filename , id, parallel, errno )
-#if defined( __netcdf )
-
 !------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-! Creates a netCDF file and give back the id. The parallel flag has to be TRUE
-! for parallel netCDF output support.
+!> Creates a netCDF file and give back the id. The parallel flag has to be TRUE
+!> for parallel netCDF output support.
 !------------------------------------------------------------------------------!
+ 
+ SUBROUTINE create_netcdf_file( filename , id, parallel, errno )
+#if defined( __netcdf )
+
 
     USE control_parameters
@@ -5133,13 +5135,14 @@
 
 
- SUBROUTINE open_write_netcdf_file( filename, id, parallel, errno )
-#if defined( __netcdf )
-
 !------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-! Opens an existing netCDF file for writing and gives back the id.
-! The parallel flag has to be TRUE for parallel netCDF output support.
+!> Opens an existing netCDF file for writing and gives back the id.
+!> The parallel flag has to be TRUE for parallel netCDF output support.
 !------------------------------------------------------------------------------!
+ 
+ SUBROUTINE open_write_netcdf_file( filename, id, parallel, errno )
+#if defined( __netcdf )
+
 
     USE control_parameters,                                                    &
@@ -5176,12 +5179,13 @@
 
 
- SUBROUTINE handle_netcdf_error( routine_name, errno )
-#if defined( __netcdf )
-
 !------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-! Prints out a text message corresponding to the current status.
+!> Prints out a text message corresponding to the current status.
 !------------------------------------------------------------------------------!
+ 
+ SUBROUTINE handle_netcdf_error( routine_name, errno )
+#if defined( __netcdf )
+
 
     USE control_parameters,                                                    &
